Bug 150375 - Spurious error message regarding opening /tmp/sda
Spurious error message regarding opening /tmp/sda
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2005-03-04 23:16 EST by Manish Singh
Modified: 2008-07-25 09:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-25 09:32:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Manish Singh 2005-03-04 23:16:07 EST
When doing an install on an IBM JS20 Blade Center node, several times during the
installation, the message:

Error opening /tmp/sda: No medium found

[Retry] [Cancel]

pops up. Hitting cancel a few times lets the install continue, and RHEL4 can be
successfully installed.

The JS20 nodes only have onboard IDE disks (and a shared USB cdrom), so I'm not
sure what it's looking for.

This is with an install with media mounted from NFS.
Comment 1 Chris Lumens 2005-03-10 17:18:41 EST
Which stage are you seeing this message - before the graphical portion of the
installer is running or afterwards?  If you disconnect the CD drive, does this
message go away?
Comment 2 Manish Singh 2005-03-10 21:34:19 EST
Well, this is a text mode only install. It happens as soon as anaconda starts,
after it prints the "Probing for mouse" etc. stuff.

The IBM BladeCenter has a shared cdrom, that presents itself to the blades as a
USB cdrom. If I change the cdrom owner to a different blade, the message goes
away. I cannot however switch the cdrom owner until after I finish telling the
installer where to find the ISOs on nfs, so there is a very small window for
Comment 3 Jeremy Katz 2005-03-14 12:59:21 EST
Is sda for the floppy drive?  If so, can you switch to tty2 and grab the output
of /proc/scsi/scsi for when it's connected and gives that message?
Comment 4 Roy Vestal 2005-08-31 09:16:12 EDT
 I'm getting this error to. The JS20 does NOT have a floppy controller. The
physical CD and Floppy are integrated USB 1.1 shared across the chassis.  Also,
at this time, there is no known way to bring up tty2. I've tried usb=handoff but
this did not solve the issue. Is there a kernel boot param that will handoff the
fdd/cdrom to USB?
Comment 5 Eric Burns 2005-09-13 13:59:20 EDT
I'm part of the same group at IBM as Roy is, and we're still encountering this
problem.  We would like to help you resolve this in any way we can.  What
information do you need from us?  Thanks...
Comment 6 Paul Nasrat 2005-09-13 14:04:08 EDT
Nathan - have you seen this on our JS20's?

Comment 7 Bill Peck 2005-09-13 15:29:31 EDT
I've been able to reproduce this problem in our lab.  Only happens with RHEL4
RHEL3 is fine.
Comment 8 Jeremy Katz 2005-09-13 19:41:36 EDT
If you can't switch ttys, you should be able to hit ctrl-z and get to a shell.

It sounds like the drive isn't being properly handled as "removable".  
Comment 9 Roy Vestal 2005-09-28 13:30:32 EDT
We've been able to get around it by taking the focus of the media tray to a
different blade than the one we are using, and use a network install. We still
need to try and find a way to get around this issue.

Is there a kernel parameter that will tell the machine there is no floppy?
Comment 12 James Laska 2008-07-24 18:26:40 EDT
Tested RHEL4-U7 on a JS20 with media tray attached ... no longer seeing this issue.
Comment 13 Denise Dumas 2008-07-25 09:32:35 EDT
Thanks, James. Based on that testing, I'm closing this bugzilla.  

Note You need to log in before you can comment on or make changes to this bug.